Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class HotDeploymentStrategy

    java.lang.Object
      org.jboss.seam.deployment.DeploymentStrategy
          org.jboss.seam.deployment.HotDeploymentStrategy

Direct Known Subclasses:
  GroovyHotDeploymentStrategy

    public class HotDeploymentStrategy

extends DeploymentStrategy

A deployment strategy for hot deployable Java Seam components

Author:
  Pete Muir

Field Summary
`static String` | `HOT_DEPLOYMENT_DIRECTORY_PATH` The default path at which hot deployable Seam components are placed

Constructor Summary
`HotDeploymentStrategy(ClassLoader classLoader, File hotDeployDirectory)`

Method Summary
`static HotDeploymentStrategy` | `createInstance(String className, ClassLoader classLoader, File hotDeployDirectory)` Dynamically instantiate a `HotDeploymentStrategy` Needed to prevent dependency on optional librarires
`ClassLoader` | `getClassLoader()` Get the classloader to use
`File[]` | `getHotDeploymentPaths()` Get all hot deployable paths
`Set<Class<Object>>` | `getScannedComponentClasses()` Get all Components which the strategy has scanned and handled
`boolean` | `isFromHotDeployClassLoader(Class componentClass)` Return true if the component is from a hot deployment classloader
`void` | `scan()` Do the scan for resources

Methods inherited from class org.jboss.seam.deployment.DeploymentStrategy
`getDeploymentHandlers, getScanner, handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOT_DEPLOYMENT_DIRECTORY_PATH

    public static final String HOT_DEPLOYMENT_DIRECTORY_PATH

  The default path at which hot deployable Seam components are placed

  See Also:
    Constant Field Values

Constructor Detail

### HotDeploymentStrategy

    public HotDeploymentStrategy(ClassLoader classLoader,
                                 File hotDeployDirectory)

Parameters:
  `classLoader` - The parent classloader of the hot deployment classloader
  `hotDeployDirectory` - The directory in which hot deployable Seam components are placed

Method Detail

### getHotDeploymentPaths

    public File[] getHotDeploymentPaths()

  Get all hot deployable paths

### isFromHotDeployClassLoader

    public boolean isFromHotDeployClassLoader(Class componentClass)

  Return true if the component is from a hot deployment classloader

### createInstance

    public static HotDeploymentStrategy createInstance(String className,
                                                       ClassLoader classLoader,
                                                       File hotDeployDirectory)

  Dynamically instantiate a `HotDeploymentStrategy` Needed to prevent dependency on optional librarires

  Parameters:
    `className` - The strategy to use
    `classLoader` - The classloader to use with this strategy
    `hotDeployDirectory` - The directory which contains hot deployable Seam components

### getClassLoader

    public ClassLoader getClassLoader()

  Description copied from class: `DeploymentStrategy`
  Get the classloader to use

  Specified by:
    `getClassLoader` in class `DeploymentStrategy`

### getScannedComponentClasses

    public Set<Class<Object>> getScannedComponentClasses()

  Get all Components which the strategy has scanned and handled

### scan

    public void scan()

  Description copied from class: `DeploymentStrategy`
  Do the scan for resources

  Specified by:
    `scan` in class `DeploymentStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD